Install Octave 3.8.2 on CentOS 6.6

Download from: ftp://ftp.gnu.org/gnu/octave/octave-3.8.2.tar.gz

tar -xzvf octave-3.8.2.tar.gz
export JAVA_HOME=/usr/lib/jvm/java/
./configure --exec-prefix=/opt/octave/3.8.2 --exec-prefix=/opt/octave/3.8.2  --datadir=/opt/octave/3.8.2/share
make -j64 # if you want to compile on 64 cores...

Create module file /etc/modulefiles/octave/3.8.2:

#%Module1.0####################################################################
##
## octave modulefile
##
##
##
prepend-path PATH /opt/octave/3.8.2/bin
prepend-path LD_LIBRARY_PATH /opt/octave/3.8.2/lib
prepend-path MANPATH /opt/octave/3.8.2/share/man

 

3 thoughts on “Install Octave 3.8.2 on CentOS 6.6

  1. Patrick

    Hello,

    I am trying to build Octace 3.8.2 on CentOS 6.6. Running ./configure, I get:

    “configure: error: A BLAS library was detected but found incompatible with your Fortran 77 compiler settings.”

    Did you happen to run into this? Any idea what causes it?

    Thanks.

    Reply
    1. bjorn Post author

      I have this blas library installed:
      [root@supermicro Vortexje]# rpm -qa|grep blas
      blas-devel-3.2.1-4.el6.x86_64
      blas-3.2.1-4.el6.x86_64
      Can you check what you got. Maybe install epel if you have not.

      Reply

Leave a Reply

Your email address will not be published. Required fields are marked *